> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List supplier credit applications

> List the bills a supplier credit note has been netted against, newest first.



## OpenAPI

````yaml get /supplier-credit-notes/{creditNoteId}/applications
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /supplier-credit-notes/{creditNoteId}/applications:
    get:
      tags:
        - Supplier Credit Notes
      summary: List supplier credit applications
      description: >-
        List the bills a supplier credit note has been netted against, newest
        first.
      parameters:
        - name: creditNoteId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SupplierCreditApplicationResponse'
components:
  schemas:
    SupplierCreditApplicationResponse:
      required:
        - currency
      type: object
      properties:
        id:
          type: string
          format: uuid
        supplierCreditNoteId:
          type: string
          format: uuid
        billId:
          type: string
          format: uuid
        supplierId:
          type: string
          format: uuid
        amount:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
        currency:
          type: string
        status:
          $ref: '#/components/schemas/SupplierCreditApplicationStatus'
          description: Applied or Reversed.
        createdAt:
          type: string
          format: date-time
        createdBy:
          type:
            - 'null'
            - string
          format: uuid
        updatedAt:
          type: string
          format: date-time
    SupplierCreditApplicationStatus:
      enum:
        - Applied
        - Reversed

````